[Logo] Mendo Judge Discussion Board - Forums
  [Search] Search   [Recent Topics] Recent Topics   [Hottest Topics] Hottest Topics   [Members]  Member Listing   [Groups] Back to home page 
C++ Compiler  XML
Forum Index » C/C++
Author Message
Perez



Joined: 18/10/2014 18:53:59
Messages: 93
Offline

http://prntscr.com/ilfg9x
Нели gnu gcc 5.4.0 или сега најновиот 7.2 ќе се ставаат
MOI



Joined: 07/07/2010 16:31:48
Messages: 445
Offline

Perez wrote:http://prntscr.com/ilfg9x
Нели gnu gcc 5.4.0 или сега најновиот 7.2 ќе се ставаат

Па, што се однесува до МЕНДО, поставување на нова верзија се прави за буквално 2 минути (инсталација + менување една PATH вредност).
Причините поради кои не се менува верзијата често е што голем број натпреварувачи имаат различна верзија, и сеуште немаме информации во кои све училишта/факултет/региони ќе биде регионалниот (други настани), со цел да се смисли што е најдобро решение.

Генерално, во верзијата која што е на МЕНДО се поддржани скоро сите покорисни C++11 функционалности (така да повеќето натпреварувачи не приметуваат разлика). Ќе повторам, главен проблем е што немаме сите иста верзија на околини/компајлери (всушност, повеќето училишта имаат постари верзии на Code::Blocks, gcc, итн), и таму е потешко да се направат промени бидејќи треба да се направат на голем број компјутери. (Искрено, за инсталации во училиштата веројатно одлучуваат директорите/наставниците, така да не би знаел колку се заинтересирани за ова)

This message was edited 1 time. Last update was at 01/03/2018 16:47:38

MOI



Joined: 07/07/2010 16:31:48
Messages: 445
Offline

На МЕНДО сега е инсталирана верзија 7.2 од gcc (последната што постои за mingw-w64).
За повеќето (скоро сите) решенија ова нема да има никакво влијание бидејќи веќе беше овозможено користење на позначајните функционалности - но еве, бидејќи некои ученици ја побараа последната верзија, го направивме и тоа.
 
Forum Index » C/C++
Go to:   
Powered by JForum 2.1.8 © JForum Team